Is Parallels 14 only compatible with Mojave?

levmc

macrumors 6502
Original poster
Jan 18, 2019
281
8
Would it be compatible with Catalina or High Sierra?
How can I update to Mojave not Catalina?
I'm seeing only Catalina not Mojave in App Store (I'm currently using High Sierra).
 
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.